#ifndef _HPP_KUNGFLOW_CHARACTER_AICONTROLLER_GRUNT
#define _HPP_KUNGFLOW_CHARACTER_AICONTROLLER_GRUNT

#include "character_aicontroller.hpp"

enum e_GruntType {
  e_GruntType_Rusher,
  e_GruntType_Defender
};

class GruntController : public CharacterAIController {

  public:

    GruntController(const KungFlowGame *game, const PlayState *playState, Character *character, e_GruntType gruntType);
    virtual ~GruntController();

    virtual void OnStepPhysicsTime(CharacterModelView *characterModelView) override;

  private:

    e_GruntType gruntType;

    Vector2 basePosition;

};

#endif
